@civic/bitgo

    11.9.2-rc1 • Public • Published

    BitGo Javascript SDK bundler for NodeJS

    Description

    This tool allows to bundle BitGo Javascript SDK for nodeJS using webpack. At its current state bitgo lib has many transitive dependencies which makes the node_modules directory size over 400MB. This makes it impossible to use bitgo with AWS Lambdas because of the current 250MB limit per layer.

    This service contains a webpack config which allows to bundle the BitGo Javascript SDK along with required dependencies. The resulting bundle is much more compact and can be used as a drop-in replacement for NPM version.

    NB: The bundler has been tested with bitgo v11.7.0. Using a different version of BitGo JS SDK might affect the bundle integrity. Please test extensively before putting into production!

    Requirements

    node 12
    

    Usage

    1. Specify the required version of the BitGo Javascript SDK in package.json.
    2. Run npm install
    3. Run npm publish
    4. Replace the NPM version of BitGo Javascript SDK in your project's package.json
    "@civic/bitgo": "@<version>"
    
    1. Replace any require('bitgo') calls in your code with
    const BitGoJS = require('@civic/bitgo');
    

    Keywords

    none

    Install

    npm i @civic/bitgo

    DownloadsWeekly Downloads

    3

    Version

    11.9.2-rc1

    License

    ISC

    Unpacked Size

    27.9 MB

    Total Files

    7

    Last publish

    Collaborators

    • godfreybafana
    • frits-double-eye
    • chriteixeira
    • daneel
    • leolangen
    • mitchcivic
    • dankelleher
    • jonthepilot
    • rado0x54
    • araptarchis
    • civicfinance
    • kevinhcolgan
    • flippiescholtz
    • tyronemichael
    • lucmir
    • william-identity